#!/bin/bash

mkdir -p ../../data/{logs,database,automata}

chown -R 1001 ../../data

if [[ "$OSTYPE" == "linux-gnu"* ]]; then
    cp .env.linux ../.env
elif [[ "$OSTYPE" == "darwin"* ]]; then
    cp .env.mac ../.env
else
    echo "Unknown OS"
fi

IP_ADDRESS=$(hostname -I | awk '{print $1}')

if grep -q "^HOST_IP=" ../.env; then
    sed -i "s/^HOST_IP=.*/HOST_IP=$IP_ADDRESS/" ../.env
else
    echo "HOST_IP=$IP_ADDRESS" >> ../.env
fi