"""Declaration parser performance test

This file provides performance tests for parsing UPPAAL declarations.
"""

import time

from uppaal2jetracer.parser.declarationparser.declaration_parser import DeclarationParser

dp = DeclarationParser(lex_optimize = False, yacc_optimize = False, yacc_debug = False)


def test_variable_speed():
    """
    Test parse speed while increasing declaration length.
    """

    declaration = """int main() {
            int x0 = 0"""

    with open("/home/mmaas/Documents/u2j_data/declaration_stats.txt", "w", encoding = "utf-8") as f:
        for i in range(1, 5000):
            start = time.time_ns()
            dp.parse(declaration + ";\n}")
            f.write(f"{i}, {time.time_ns() - start}\n")
            print(i)
            declaration += f", x{i} = {i}"

if __name__ == "__main__":
    test_variable_speed()
