"""Config

This file provides all configuration settings required by the database and version control.

This file can be imported as a module and contains the following classes:

    * Config: Class for holding the configuration variables.
"""

import os


class Config():
    """
    A class for holding configuration variables for the database and version control.
    """

    GLOBAL_ID = os.environ.get("GLOBAL_ID") or 1
    VERSION_MAX_HIGH = os.environ.get("VERSION_MAX_HIGH") or 10
    VERSION_MAX_LOW = os.environ.get("VERSION_MAX_LOW") or 1

    DB_VERSION_NAME_MAX = os.environ.get("DB_VERSION_NAME_MAX") or 30
    DB_PROJECT_NAME_MAX = os.environ.get("DB_PROJECT_NAME_MAX") or 30
