/**
 * This file holds the event for expanding a project in the projects frame.
 * 
 * @module scripts/events/main/toggle
 */

import RequestHandler from "../../request_handler.js";
import PageHandler from "../../page_handler.js";
import EventHandler from "../../event_handler.js";

/**
 * Collapses or expands a certain project.
 * 
 * @function toggle_event
 * 
 * @param {HTMLElement} target            - Is the targeted UI element that was clicked.
 * @param {object} args                   - The data attributes of the targeted element.
 * @param {RequestHandler} requestHandler - The handler for HTTP requests.
 * @param {PageHandler} pageHandler       - The handler for UI updates.
 * @param {EventHandler} eventHandler     - The handler for the events.
 */
function toggle_event(target, args, requestHandler, pageHandler, eventHandler) {

    pageHandler.toggleProject(target);
    eventHandler.isHandlingEvent = false;

}

export default toggle_event;
